PMAP_RESIDENT_COUNT(9)

NAME
pmap_resident_count, pmap_wired_count - return page resident and wiring statistics

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
long
pmap_resident_count(pmap_t pmap);
long
pmap_wired_count(pmap_t pmap);

DESCRIPTION
The pmap_resident_count() and pmap_wired_count() macros allow pmap consumers to retrieve statistics from the pm_stats member of the machine-dependent structure struct pmap.

IMPLEMENTATION NOTES
Both functions are defined as in-line macros. The members which they access have type long.

RETURN VALUES
The pmap_resident_count() returns the number of pages in the physical map pmap which are currently resident in main memory.

The pmap_wired_count() returns the number of pages in the physical map pmap which are currently wired into in main memory.

SEE ALSO
pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.